package com.cirs.biz.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.cirs.common.annotation.Excel;
import com.cirs.common.core.domain.BaseEntity;

/**
 * 打分算法验证任务对象 t_verification_scoretask
 * 
 * @author allen
 * @date 2023-12-10
 */
public class TVerificationScoretask extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 任务名称 */
    @Excel(name = "任务名称")
    private String taskName;

    /** 状态 */
    @Excel(name = "状态")
    private String taskStatus;

    /** 任务数 */
    @Excel(name = "任务数")
    private Long subtaskNum;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /** 完成率 */
    @Excel(name = "完成率")
    private BigDecimal progress;

    /** 准确率 */
    @Excel(name = "准确率")
    private String accuracyRate;

    /** 召回率 */
    @Excel(name = "召回率")
    private String recallRate;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTaskName(String taskName) 
    {
        this.taskName = taskName;
    }

    public String getTaskName() 
    {
        return taskName;
    }
    public void setTaskStatus(String taskStatus) 
    {
        this.taskStatus = taskStatus;
    }

    public String getTaskStatus() 
    {
        return taskStatus;
    }
    public void setSubtaskNum(Long subtaskNum) 
    {
        this.subtaskNum = subtaskNum;
    }

    public Long getSubtaskNum() 
    {
        return subtaskNum;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }
    public void setProgress(BigDecimal progress) 
    {
        this.progress = progress;
    }

    public BigDecimal getProgress() 
    {
        return progress;
    }
    public void setAccuracyRate(String accuracyRate) 
    {
        this.accuracyRate = accuracyRate;
    }

    public String getAccuracyRate() 
    {
        return accuracyRate;
    }
    public void setRecallRate(String recallRate) 
    {
        this.recallRate = recallRate;
    }

    public String getRecallRate() 
    {
        return recallRate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskName", getTaskName())
            .append("taskStatus", getTaskStatus())
            .append("subtaskNum", getSubtaskNum())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("progress", getProgress())
            .append("accuracyRate", getAccuracyRate())
            .append("recallRate", getRecallRate())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
